Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.wsee.jws.util
Interface Logger

Deprecated. use java.util.logging.Logger instead

    @Deprecated
    public interface Logger

The Logger interface defines application logging functions. A Logger can be obtained from a `com.bea.control.JwsContext` or `com.bea.control.ControlContext` instance. Logging may be enabled at one of four levels: "debug" (lowest level, results in highest volume of output), "info", "warn" or "error" (highest level, results in least output). Messages emitted below the current logging level are not logged. The implementation uses WebLogic Server's NonCatalogLogger

Method Summary
`void` | `debug(String message)` Deprecated. Emit a "debug" level message.
`void` | `debug(String message, Throwable throwable)` Deprecated. Emit a "debug" level message with an associated `Throwable`.
`void` | `error(String message)` Deprecated. Emit a "error" level message.
`void` | `error(String message, Throwable throwable)` Deprecated. Emit a "error" level message with an associated `Throwable`.
`void` | `info(String message)` Deprecated. Emit a "info" level message.
`void` | `info(String message, Throwable throwable)` Deprecated. Emit a "info" level message with an associated `Throwable`.
`boolean` | `isDebugEnabled()` Deprecated. returns true if "debug" level logging is enabled.
`boolean` | `isErrorEnabled()` Deprecated. returns true if "error" level logging is enabled.
`boolean` | `isInfoEnabled()` Deprecated. returns true if "info" level logging is enabled.
`boolean` | `isWarnEnabled()` Deprecated. returns true if "warn" level logging is enabled.
`void` | `warn(String message)` Deprecated. Emit a "warn" level message.
`void` | `warn(String message, Throwable throwable)` Deprecated. Emit a "warn" level message with an associated `Throwable`.

Method Detail

### debug

    void debug(String message)

  Deprecated.
  Emit a "debug" level message.

  Parameters:
    `message` - the message to write to the log.

### debug

    void debug(String message,
               Throwable throwable)

  Deprecated.
  Emit a "debug" level message with an associated `Throwable`.

  Parameters:
    `message` - the message to write to the log.
    `throwable` - the `Throwable` (typically an `Exception`) to write to the log.

### info

    void info(String message)

  Deprecated.
  Emit a "info" level message.

  Parameters:
    `message` - the message to write to the log.

### info

    void info(String message,
              Throwable throwable)

  Deprecated.
  Emit a "info" level message with an associated `Throwable`.

  Parameters:
    `message` - the message to write to the log.
    `throwable` - the `Throwable` (typically an `Exception`) to write to the log.

### warn

    void warn(String message)

  Deprecated.
  Emit a "warn" level message.

  Parameters:
    `message` - the message to write to the log.

### warn

    void warn(String message,
              Throwable throwable)

  Deprecated.
  Emit a "warn" level message with an associated `Throwable`.

  Parameters:
    `message` - the message to write to the log.
    `throwable` - the `Throwable` (typically an `Exception`) to write to the log.

### error

    void error(String message)

  Deprecated.
  Emit a "error" level message.

  Parameters:
    `message` - the message to write to the log.

### error

    void error(String message,
               Throwable throwable)

  Deprecated.
  Emit a "error" level message with an associated `Throwable`.

  Parameters:
    `message` - the message to write to the log.
    `throwable` - the `Throwable` (typically an `Exception`) to write to the log.

### isDebugEnabled

    boolean isDebugEnabled()

  Deprecated.
  returns true if "debug" level logging is enabled. "debug" level is only enabled if the current logging level is "debug".

### isInfoEnabled

    boolean isInfoEnabled()

  Deprecated.
  returns true if "info" level logging is enabled. "info" level is enabled if the current logging level is "info" or "debug".

### isWarnEnabled

    boolean isWarnEnabled()

  Deprecated.
  returns true if "warn" level logging is enabled. "warn" level is enabled if the current logging level is "warn", "info" or "debug".

### isErrorEnabled

    boolean isErrorEnabled()

  Deprecated.
  returns true if "error" level logging is enabled. "error" level is enabled if the current logging level is "error", "warn", "info" or "debug".

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD